Package org.springframework.security.aot.hint

# Class PrePostAuthorizeHintsRegistrar

java.lang.Object
org.springframework.security.aot.hint.PrePostAuthorizeHintsRegistrar

All Implemented Interfaces:
  `SecurityHintsRegistrar`

public final class PrePostAuthorizeHintsRegistrar extends Object implements SecurityHintsRegistrar
A `SecurityHintsRegistrar` that scans all beans for methods that use `PreAuthorize` or `PostAuthorize` and registers appropriate hints for the annotations.

Since:
  6.4
See Also:
  - `SecurityHintsAotProcessor`
  - `PrePostAuthorizeExpressionBeanHintsRegistrar`

## Constructor Summary

Constructors
Constructor
Description
`PrePostAuthorizeHintsRegistrar()`

## Method Summary

Modifier and Type
Method
Description
`void`
`registerHints(org.springframework.aot.hint.RuntimeHints hints, org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`
Register hints after preparing them through Security's infrastructural beans

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrePostAuthorizeHintsRegistrar

public PrePostAuthorizeHintsRegistrar()

## Method Details

### registerHints

public void registerHints(org.springframework.aot.hint.RuntimeHints hints, org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
Description copied from interface: `SecurityHintsRegistrar`
Register hints after preparing them through Security's infrastructural beans

Specified by:
  `registerHints` in interface `SecurityHintsRegistrar`
Parameters:
  `hints` - the registration target for any AOT hints
  `beanFactory` - the bean factory